com.creamtec.ajaxswing.gui

## Class AjaxSwingInternalFrameListener

- java.lang.Object
- - com.creamtec.ajaxswing.gui.AjaxSwingInternalFrameListener

- All Implemented Interfaces:
    java.util.EventListener, javax.swing.event.InternalFrameListener

      public class AjaxSwingInternalFrameListener
      extends java.lang.Object
      implements javax.swing.event.InternalFrameListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingInternalFrameListener(ClientAgent agent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `internalFrameActivated(javax.swing.event.InternalFrameEvent e)`
    `void` | `internalFrameClosed(javax.swing.event.InternalFrameEvent e)`
    `void` | `internalFrameClosing(javax.swing.event.InternalFrameEvent e)`
    `void` | `internalFrameDeactivated(javax.swing.event.InternalFrameEvent e)`
    `void` | `internalFrameDeiconified(javax.swing.event.InternalFrameEvent e)`
    `void` | `internalFrameIconified(javax.swing.event.InternalFrameEvent e)`
    `void` | `internalFrameOpened(javax.swing.event.InternalFrameEvent e)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingInternalFrameListener

          public AjaxSwingInternalFrameListener(ClientAgent agent)

  - ### Method Detail

    - #### internalFrameActivated

          public void internalFrameActivated(javax.swing.event.InternalFrameEvent e)

      Specified by:
        `internalFrameActivated` in interface `javax.swing.event.InternalFrameListener`

    - #### internalFrameClosed

          public void internalFrameClosed(javax.swing.event.InternalFrameEvent e)

      Specified by:
        `internalFrameClosed` in interface `javax.swing.event.InternalFrameListener`

    - #### internalFrameClosing

          public void internalFrameClosing(javax.swing.event.InternalFrameEvent e)

      Specified by:
        `internalFrameClosing` in interface `javax.swing.event.InternalFrameListener`

    - #### internalFrameDeactivated

          public void internalFrameDeactivated(javax.swing.event.InternalFrameEvent e)

      Specified by:
        `internalFrameDeactivated` in interface `javax.swing.event.InternalFrameListener`

    - #### internalFrameDeiconified

          public void internalFrameDeiconified(javax.swing.event.InternalFrameEvent e)

      Specified by:
        `internalFrameDeiconified` in interface `javax.swing.event.InternalFrameListener`

    - #### internalFrameIconified

          public void internalFrameIconified(javax.swing.event.InternalFrameEvent e)

      Specified by:
        `internalFrameIconified` in interface `javax.swing.event.InternalFrameListener`

    - #### internalFrameOpened

          public void internalFrameOpened(javax.swing.event.InternalFrameEvent e)

      Specified by:
        `internalFrameOpened` in interface `javax.swing.event.InternalFrameListener`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.